Package org.apache.commons.imaging.formats.tiff.constants

# Class Rfc2301TagConstants

java.lang.Object
org.apache.commons.imaging.formats.tiff.constants.Rfc2301TagConstants

public final class Rfc2301TagConstants extends Object
RFC 2301: File Format for Internet Fax.

www.ietf.org/rfc/rfc2301.txt

Also subsumes "The spirit of TIFF class F"

https://cool.culturalheritage.org/bytopic/imaging/std/tiff-f.html

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<TagInfo>`
  `ALL_RFC_2301_TAGS`
  `static final int`
  `CLEAN_FAX_DATA_VALUE_CLEAN`
  `static final int`
  `CLEAN_FAX_DATA_VALUE_REGENERATED`
  `static final int`
  `CLEAN_FAX_DATA_VALUE_UNCLEAN`
  `static final int`
  `CODING_METHODS_VALUE_T4_1D`
  `static final int`
  `CODING_METHODS_VALUE_T4_2D`
  `static final int`
  `CODING_METHODS_VALUE_T6`
  `static final int`
  `CODING_METHODS_VALUE_T81`
  `static final int`
  `CODING_METHODS_VALUE_T82_T43`
  `static final int`
  `CODING_METHODS_VALUE_T82_T85`
  `static final int`
  `FAX_PROFILE_VALUE_EXTENDED_B_AND_W_LOSSLESS_F`
  `static final int`
  `FAX_PROFILE_VALUE_LOSSLESS_COLOR_AND_GRAYSCALE_L`
  `static final int`
  `FAX_PROFILE_VALUE_LOSSLESS_JBIG_B_AND_W_J`
  `static final int`
  `FAX_PROFILE_VALUE_LOSSY_COLOR_AND_GRAYSCALE_C`
  `static final int`
  `FAX_PROFILE_VALUE_MINIMAL_B_AND_W_LOSSLESS_S`
  `static final int`
  `FAX_PROFILE_VALUE_MIXED_RASTER_CONTENT_M`
  `static final int`
  `FAX_PROFILE_VALUE_UNKNOWN`
  `static final int`
  `PROFILE_TYPE_VALUE_GROUP_3_FAX`
  `static final int`
  `PROFILE_TYPE_VALUE_UNSPECIFIED`
  `static final TagInfoShortOrLong`
  `TIFF_TAG_BAD_FAX_LINES`
  `static final TagInfoShort`
  `TIFF_TAG_CLEAN_FAX_DATA`
  `static final TagInfoLong`
  `TIFF_TAG_CODING_METHODS`
  `static final TagInfoShortOrLong`
  `TIFF_TAG_CONSECUTIVE_BAD_FAX_LINES`
  `static final TagInfoRationals`
  `TIFF_TAG_DECODE`
  `static final TagInfoShorts`
  `TIFF_TAG_DEFAULT_IMAGE_COLOR`
  `static final TagInfoByte`
  `TIFF_TAG_FAX_PROFILE`
  `static final TagInfoDirectory`
  `TIFF_TAG_GLOBAL_PARAMETERS_IFD`
  `static final TagInfoShortOrLong`
  `TIFF_TAG_IMAGE_LAYER`
  `static final TagInfoByte`
  `TIFF_TAG_MODE_NUMBER`
  `static final TagInfoLong`
  `TIFF_TAG_PROFILE_TYPE`
  `static final TagInfoLongs`
  `TIFF_TAG_STRIP_ROW_COUNTS`
  `static final TagInfoBytes`
  `TIFF_TAG_VERSION_YEAR`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TIFF_TAG_BAD_FAX_LINES

    public static final TagInfoShortOrLong TIFF_TAG_BAD_FAX_LINES

  - ### TIFF_TAG_CLEAN_FAX_DATA

    public static final TagInfoShort TIFF_TAG_CLEAN_FAX_DATA

  - ### CLEAN_FAX_DATA_VALUE_CLEAN

    public static final int CLEAN_FAX_DATA_VALUE_CLEAN
    See Also:
      - Constant Field Values

  - ### CLEAN_FAX_DATA_VALUE_REGENERATED

    public static final int CLEAN_FAX_DATA_VALUE_REGENERATED
    See Also:
      - Constant Field Values

  - ### CLEAN_FAX_DATA_VALUE_UNCLEAN

    public static final int CLEAN_FAX_DATA_VALUE_UNCLEAN
    See Also:
      - Constant Field Values

  - ### TIFF_TAG_CONSECUTIVE_BAD_FAX_LINES

    public static final TagInfoShortOrLong TIFF_TAG_CONSECUTIVE_BAD_FAX_LINES

  - ### TIFF_TAG_GLOBAL_PARAMETERS_IFD

    public static final TagInfoDirectory TIFF_TAG_GLOBAL_PARAMETERS_IFD

  - ### TIFF_TAG_PROFILE_TYPE

    public static final TagInfoLong TIFF_TAG_PROFILE_TYPE

  - ### PROFILE_TYPE_VALUE_UNSPECIFIED

    public static final int PROFILE_TYPE_VALUE_UNSPECIFIED
    See Also:
      - Constant Field Values

  - ### PROFILE_TYPE_VALUE_GROUP_3_FAX

    public static final int PROFILE_TYPE_VALUE_GROUP_3_FAX
    See Also:
      - Constant Field Values

  - ### TIFF_TAG_FAX_PROFILE

    public static final TagInfoByte TIFF_TAG_FAX_PROFILE

  - ### FAX_PROFILE_VALUE_UNKNOWN

    public static final int FAX_PROFILE_VALUE_UNKNOWN
    See Also:
      - Constant Field Values

  - ### FAX_PROFILE_VALUE_MINIMAL_B_AND_W_LOSSLESS_S

    public static final int FAX_PROFILE_VALUE_MINIMAL_B_AND_W_LOSSLESS_S
    See Also:
      - Constant Field Values

  - ### FAX_PROFILE_VALUE_EXTENDED_B_AND_W_LOSSLESS_F

    public static final int FAX_PROFILE_VALUE_EXTENDED_B_AND_W_LOSSLESS_F
    See Also:
      - Constant Field Values

  - ### FAX_PROFILE_VALUE_LOSSLESS_JBIG_B_AND_W_J

    public static final int FAX_PROFILE_VALUE_LOSSLESS_JBIG_B_AND_W_J
    See Also:
      - Constant Field Values

  - ### FAX_PROFILE_VALUE_LOSSY_COLOR_AND_GRAYSCALE_C

    public static final int FAX_PROFILE_VALUE_LOSSY_COLOR_AND_GRAYSCALE_C
    See Also:
      - Constant Field Values

  - ### FAX_PROFILE_VALUE_LOSSLESS_COLOR_AND_GRAYSCALE_L

    public static final int FAX_PROFILE_VALUE_LOSSLESS_COLOR_AND_GRAYSCALE_L
    See Also:
      - Constant Field Values

  - ### FAX_PROFILE_VALUE_MIXED_RASTER_CONTENT_M

    public static final int FAX_PROFILE_VALUE_MIXED_RASTER_CONTENT_M
    See Also:
      - Constant Field Values

  - ### TIFF_TAG_CODING_METHODS

    public static final TagInfoLong TIFF_TAG_CODING_METHODS

  - ### CODING_METHODS_VALUE_T4_1D

    public static final int CODING_METHODS_VALUE_T4_1D
    See Also:
      - Constant Field Values

  - ### CODING_METHODS_VALUE_T4_2D

    public static final int CODING_METHODS_VALUE_T4_2D
    See Also:
      - Constant Field Values

  - ### CODING_METHODS_VALUE_T6

    public static final int CODING_METHODS_VALUE_T6
    See Also:
      - Constant Field Values

  - ### CODING_METHODS_VALUE_T82_T85

    public static final int CODING_METHODS_VALUE_T82_T85
    See Also:
      - Constant Field Values

  - ### CODING_METHODS_VALUE_T81

    public static final int CODING_METHODS_VALUE_T81
    See Also:
      - Constant Field Values

  - ### CODING_METHODS_VALUE_T82_T43

    public static final int CODING_METHODS_VALUE_T82_T43
    See Also:
      - Constant Field Values

  - ### TIFF_TAG_VERSION_YEAR

    public static final TagInfoBytes TIFF_TAG_VERSION_YEAR

  - ### TIFF_TAG_MODE_NUMBER

    public static final TagInfoByte TIFF_TAG_MODE_NUMBER

  - ### TIFF_TAG_DECODE

    public static final TagInfoRationals TIFF_TAG_DECODE

  - ### TIFF_TAG_DEFAULT_IMAGE_COLOR

    public static final TagInfoShorts TIFF_TAG_DEFAULT_IMAGE_COLOR

  - ### TIFF_TAG_STRIP_ROW_COUNTS

    public static final TagInfoLongs TIFF_TAG_STRIP_ROW_COUNTS

  - ### TIFF_TAG_IMAGE_LAYER

    public static final TagInfoShortOrLong TIFF_TAG_IMAGE_LAYER

  - ### ALL_RFC_2301_TAGS

    public static final List<TagInfo> ALL_RFC_2301_TAGS